BlitzReels
BlitzReelsDocumentation
API Reference
POST
/projects/{projectId}/carousels/generate

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/carousels/generate" \  -H "Content-Type: application/json" \  -d '{    "slides": [      {}    ]  }'
{  "project_id": "string",  "slide_count": 0,  "job_id": "string",  "ai_image_run_id": "string",  "timeline_item_ids": [    "string"  ],  "overlay_ids": [    "string"  ],  "fill_layer_ids": [    "string"  ],  "ai_asset_ids": [    "string"  ],  "logo_asset_ids": [    "string"  ],  "message": "string"}